%global commit 3c4f22cff1fcac40b4ac06c44bef2b5760a4a74f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary: framework for 3D first-person shooter games
Name:    alephone
Version: 20181006git.%{shortcommit}
Release: 1%{?dist}
License: GPL
Group:   Amusements/Games
Source0: https://github.com/Aleph-One-Marathon/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
URL:     https://alephone.lhowon.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: SDL2-devel
BuildRequires: SDL2_ttf-devel
BuildRequires: SDL2_image-devel
BuildRequires: SDL2_net-devel
BuildRequires: boost-devel
BuildRequires: zlib-devel
BuildRequires: curl-devel
BuildRequires: speex-devel
BuildRequires: ffmpeg-devel
BuildRequires: libpng-devel
BuildRequires: expat-devel
BuildRequires: libmad-devel
BuildRequires: libsndfile-devel
BuildRequires: libvorbis-devel
BuildRequires: zziplib-devel

Requires:      dejavu-lgc-sans-fonts

%description
Aleph One is an Open Source 3D first-person shooter game, based on the game
Marathon 2 by Bungie Software. It is set in a Sci-Fi universe dominated by
deviant computer AIs and features a well thought-out plot. Aleph One
supports, but doesn't require, OpenGL for rendering.

Aleph One requires additional data -- shape, sound, and map
information -- in order to run. The easiest way to get this is to go
to http://source.bungie.org/get/, and download one of the scenario zip
files there. Unzip it, and pass the resulting directory as an argument
to alephone. For example:

alephone "~/Marathon Infinity"

%prep
%autosetup -n %{name}-%{commit}

%build
#./autogen.sh
NOCONFIGURE=1 ./autogen.sh

%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
for font in DejaVuLGCSansCondensed-Bold.ttf DejaVuLGCSansCondensed-BoldOblique.ttf; do
    ln -sf %{_datadir}/fonts/dejavu/$font $RPM_BUILD_ROOT%{_datadir}/AlephOne/Plugins/Default_Theme/$font
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/AlephOne/examples/lua
cp examples/lua/* $RPM_BUILD_ROOT%{_datadir}/AlephOne/examples/lua/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL.Unix README docs/MML.html docs/Lua.html 
%{_bindir}/alephone
%{_datadir}/AlephOne/
%{_datadir}/AlephOne/examples/lua/Cheats.lua
%{_datadir}/AlephOne/examples/lua/Alien_Weapons_For_All.txt
%{_datadir}/AlephOne/examples/lua/Doomcharge.txt
%{_datadir}/AlephOne/examples/lua/Indirect_Kills_Only.txt
%{_datadir}/AlephOne/examples/lua/Keep_Away_From_Bob.txt
%{_datadir}/AlephOne/examples/lua/One_Per_Team_KOTH.txt
%{_datadir}/AlephOne/examples/lua/
%{_datadir}/AlephOne/MML
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man6/alephone.6.gz
%{_datadir}/AlephOne/Plugins/
%{_datadir}/AlephOne/Plugins/Default_Theme/
%{_datadir}/AlephOne/Plugins/Default_Theme/*
%{_datadir}/icons/hicolor/*/*/*.png


%changelog
* Sat Oct 06 2018 josef radinger <cheese@nosuchhost.net> - 20181006git.3c4f22c-1
- bump version

* Tue Oct 02 2018 josef radinger <cheese@nosuchhost.net> - 20180930git.cafdaf1-1
- bump version

* Thu Feb 15 2018 josef radinger <cheese@nosuchhost.net> - 20180104git.b052012-2
- fix URL

* Sat Feb 03 2018 josef radinger <cheese@nosuchhost.net> - 20180104git.b052012-1
- initial version for fedora
- fix bogus dates in changelog

* Sat Jun 21 2008 Gregory Smith <wolfy@treellama.org>
- removed the dependence on AlephOne-core-data (users can use unimap zip files)
- removed deprecated cheats docs
- updated required libraries (there are many)

* Sun Nov 20 2005 Christian Bauer <www.cebix.net>
- modernized the spec file a bit

* Thu Oct  5 2000 Christian Bauer <Christian.Bauer@uni-mainz.de>
- Added docs and theme data files
- Package name and version are set by configure script

* Sat Sep 30 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added a requirement to the base package for AlephOne-core-data
- Split out the Marathon Infinity Demo data into its own package

* Fri Sep 29 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added patch for SDL 1.1.5 SDL_SetClipping incompatability.

* Sat Sep 23 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added Marathon Infinity Demo data to package.

